<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2Holidays
{
    /**
     * @var \DateTimeInterface
     */
    private $from;

    /**
     * @var \DateTimeInterface
     */
    private $to;

    public function getFrom(): \DateTimeInterface
    {
        return $this->from;
    }

    public function withFrom(\DateTimeInterface $from): CParcelShop2Holidays
    {
        $new = clone $this;
        $new->from = $from;

        return $new;
    }

    public function getTo(): \DateTimeInterface
    {
        return $this->to;
    }

    public function withTo(\DateTimeInterface $to): CParcelShop2Holidays
    {
        $new = clone $this;
        $new->to = $to;

        return $new;
    }
}
